Bug 476781 - Cannot mount USB attached Nikon Camera's flash card
Cannot mount USB attached Nikon Camera's flash card
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
10
i686 Linux
low Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-16 22:17 EST by Cliff Kotnik
Modified: 2009-12-18 02:19 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 02:19:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
output of grep udev /var/log/messages (40.92 KB, text/plain)
2008-12-16 22:21 EST, Cliff Kotnik
no flags Details

  None (edit)
Description Cliff Kotnik 2008-12-16 22:17:21 EST
Description of problem:I recently upgraded from Fedora 8 to Fedora 10 and my Nikon D2X camera stopped working.  With F8 the camera's CompactFlash card was automatically mounted when I attached it via USB.  Now it does not mount.  A new device, sdf, is created, but is not mounted.  Error messages are reported in dmesg like (more details below):

Buffer I/O error on device sdf, logical block 8027712
end_request: I/O error, dev sdf, sector 8027712

Trying to simply copy blocks from the device with dd fails immediately with:
>dd if=/dev/sdf of=nikon.dd.out bs=1k 
dd: reading `/dev/sdf': Input/output error
0+0 records in
0+0 records out
0 bytes (0 B) copied, 0.00371622 s, 0.0 kB/s

I have tried two different compact flash cards in the camera with the same result.

Version-Release number of selected component (if applicable):
>uname -r
2.6.27.7-134.fc10.i686


How reproducible:
Every time.

Steps to Reproduce:
1.Attach camera to USB port.
2.Turn camera on
3.
  
Actual results:
Camera flash card is not accessible.

Expected results:
Camera flash card is accessible and automatically mounted.

Additional info:

================================================
dmesg output:
usb 1-7: configuration #1 chosen from 1 choice
scsi10 : SCSI emulation for USB Mass Storage devices
usb 1-7: New USB device found, idVendor=04b0, idProduct=0407
usb 1-7: New USB device strings: Mfr=1, Product=2, SerialNumber=3
usb 1-7: Product: NIKON DSC D2X
usb 1-7: Manufacturer: NIKON
usb 1-7: SerialNumber: 5027808
usb-storage: device found at 5
usb-storage: waiting for device to settle before scanning
usb-storage: device scan complete
scsi 10:0:0:0: Direct-Access     NIKON    D2X              1.01 PQ: 0 ANSI: 2
sd 10:0:0:0: [sdf] 8027713 512-byte hardware sectors (4110 MB)
sd 10:0:0:0: [sdf] Write Protect is off
sd 10:0:0:0: [sdf] Mode Sense: 0f 00 00 00
sd 10:0:0:0: [sdf] Assuming drive cache: write through
sd 10:0:0:0: [sdf] 8027713 512-byte hardware sectors (4110 MB)
sd 10:0:0:0: [sdf] Write Protect is off
sd 10:0:0:0: [sdf] Mode Sense: 0f 00 00 00
sd 10:0:0:0: [sdf] Assuming drive cache: write through
 sdf: sdf1
sd 10:0:0:0: [sdf] Attached SCSI removable disk
sd 10:0:0:0: Attached scsi generic sg7 type 0
end_request: I/O error, dev sdf, sector 8027712
__ratelimit: 325 callbacks suppressed
Buffer I/O error on device sdf, logical block 8027712
end_request: I/O error, dev sdf, sector 8027712
Buffer I/O error on device sdf, logical block 8027712
end_request: I/O error, dev sdf, sector 8027712
Buffer I/O error on device sdf, logical block 8027712
end_request: I/O error, dev sdf, sector 8027712
Buffer I/O error on device sdf, logical block 8027712
end_request: I/O error, dev sdf, sector 8027712
Buffer I/O error on device sdf, logical block 8027712
end_request: I/O error, dev sdf, sector 8027712
Buffer I/O error on device sdf, logical block 8027712
end_request: I/O error, dev sdf, sector 8027712
Buffer I/O error on device sdf, logical block 8027712
end_request: I/O error, dev sdf, sector 96
Buffer I/O error on device sdf, logical block 96
end_request: I/O error, dev sdf, sector 97
Buffer I/O error on device sdf, logical block 97
Buffer I/O error on device sdf, logical block 98
end_request: I/O error, dev sdf, sector 96
end_request: I/O error, dev sdf, sector 97
end_request: I/O error, dev sdf, sector 96
end_request: I/O error, dev sdf, sector 97
end_request: I/O error, dev sdf, sector 96
end_request: I/O error, dev sdf, sector 97
end_request: I/O error, dev sdf, sector 0
end_request: I/O error, dev sdf, sector 0
end_request: I/O error, dev sdf, sector 1
end_request: I/O error, dev sdf, sector 0
end_request: I/O error, dev sdf, sector 1
end_request: I/O error, dev sdf, sector 63
end_request: I/O error, dev sdf, sector 63
end_request: I/O error, dev sdf, sector 64
end_request: I/O error, dev sdf, sector 63
end_request: I/O error, dev sdf, sector 63
end_request: I/O error, dev sdf, sector 64
end_request: I/O error, dev sdf, sector 0
end_request: I/O error, dev sdf, sector 1
end_request: I/O error, dev sdf, sector 0
end_request: I/O error, dev sdf, sector 1
end_request: I/O error, dev sdf, sector 0
end_request: I/O error, dev sdf, sector 1
end_request: I/O error, dev sdf, sector 0
end_request: I/O error, dev sdf, sector 0
end_request: I/O error, dev sdf, sector 1
end_request: I/O error, dev sdf, sector 0
end_request: I/O error, dev sdf, sector 0
end_request: I/O error, dev sdf, sector 1
end_request: I/O error, dev sdf, sector 0
end_request: I/O error, dev sdf, sector 1
==============================================
udevmonitor output:
>udevcontrol log_priority=info
>udevmonitor
udevmonitor will print the received events for:
UDEV the event which udev sends out after rule processing
UEVENT the kernel uevent

UEVENT[1229481179.555546] add      /devices/pci0000:00/0000:00:1d.7/usb1/1-7 (usb)
UDEV  [1229481179.562916] add      /devices/pci0000:00/0000:00:1d.7/usb1/1-7 (usb)
UEVENT[1229481179.564518] add      /devices/pci0000:00/0000:00:1d.7/usb1/1-7/1-7:1.0 (usb)
UEVENT[1229481179.601185] add      /devices/pci0000:00/0000:00:1d.7/usb1/1-7/1-7:1.0/host1
1 (scsi)
UEVENT[1229481179.601525] add      /devices/pci0000:00/0000:00:1d.7/usb1/1-7/1-7:1.0/host1
1/scsi_host/host11 (scsi_host)
UEVENT[1229481179.602471] add      /devices/pci0000:00/0000:00:1d.7/usb1/1-7/1-7:1.0/usb_e
ndpoint/usbdev1.6_ep01 (usb_endpoint)
UEVENT[1229481179.602584] add      /devices/pci0000:00/0000:00:1d.7/usb1/1-7/1-7:1.0/usb_e
ndpoint/usbdev1.6_ep82 (usb_endpoint)
UEVENT[1229481179.602666] add      /devices/pci0000:00/0000:00:1d.7/usb1/1-7/usb_endpoint/
usbdev1.6_ep00 (usb_endpoint)
UDEV  [1229481179.615239] add      /devices/pci0000:00/0000:00:1d.7/usb1/1-7/1-7:1.0 (usb)
UDEV  [1229481179.620815] add      /devices/pci0000:00/0000:00:1d.7/usb1/1-7/usb_endpoint/
usbdev1.6_ep00 (usb_endpoint)
UDEV  [1229481179.635645] add      /devices/pci0000:00/0000:00:1d.7/usb1/1-7/1-7:1.0/host1
1 (scsi)
UDEV  [1229481179.654949] add      /devices/pci0000:00/0000:00:1d.7/usb1/1-7/1-7:1.0/usb_e
ndpoint/usbdev1.6_ep01 (usb_endpoint)
UDEV  [1229481179.669930] add      /devices/pci0000:00/0000:00:1d.7/usb1/1-7/1-7:1.0/usb_e
ndpoint/usbdev1.6_ep82 (usb_endpoint)
UDEV  [1229481179.679558] add      /devices/pci0000:00/0000:00:1d.7/usb1/1-7/1-7:1.0/host1
1/scsi_host/host11 (scsi_host)
UEVENT[1229481184.611375] add      /devices/pci0000:00/0000:00:1d.7/usb1/1-7/1-7:1.0/host11/target11:0:0 (scsi)
UEVENT[1229481184.616954] add      /devices/pci0000:00/0000:00:1d.7/usb1/1-7/1-7:1.0/host11/target11:0:0/11:0:0:0 (scsi)
UEVENT[1229481184.617525] add      /devices/pci0000:00/0000:00:1d.7/usb1/1-7/1-7:1.0/host11/target11:0:0/11:0:0:0/scsi_disk/11:0:0:0 (scsi_d
isk)
UDEV  [1229481184.621581] add      /devices/pci0000:00/0000:00:1d.7/usb1/1-7/1-7:1.0/host11/target11:0:0 (scsi)
UEVENT[1229481184.623320] change   /devices/pci0000:00/0000:00:1d.7/usb1/1-7/1-7:1.0/host11/target11:0:0/11:0:0:0 (scsi)
UEVENT[1229481184.642488] add      /devices/pci0000:00/0000:00:1d.7/usb1/1-7/1-7:1.0/host11/target11:0:0/11:0:0:0/block/sdf (block)
UEVENT[1229481184.642530] add      /devices/pci0000:00/0000:00:1d.7/usb1/1-7/1-7:1.0/host11/target11:0:0/11:0:0:0/block/sdf/sdf1 (block)
UEVENT[1229481184.643077] add      /devices/virtual/bdi/8:80 (bdi)
UEVENT[1229481184.643459] add      /devices/pci0000:00/0000:00:1d.7/usb1/1-7/1-7:1.0/host11/target11:0:0/11:0:0:0/scsi_device/11:0:0:0 (scsi
_device)
UEVENT[1229481184.643483] add      /devices/pci0000:00/0000:00:1d.7/usb1/1-7/1-7:1.0/host11/target11:0:0/11:0:0:0/scsi_generic/sg7 (scsi_gen
eric)
UEVENT[1229481184.643597] add      /devices/pci0000:00/0000:00:1d.7/usb1/1-7/1-7:1.0/host11/target11:0:0/11:0:0:0/bsg/11:0:0:0 (bsg)
UDEV  [1229481184.651814] add      /devices/virtual/bdi/8:80 (bdi)
UDEV  [1229481184.675445] add      /devices/pci0000:00/0000:00:1d.7/usb1/1-7/1-7:1.0/host11/target11:0:0/11:0:0:0 (scsi)
UDEV  [1229481184.691445] add      /devices/pci0000:00/0000:00:1d.7/usb1/1-7/1-7:1.0/host11/target11:0:0/11:0:0:0/scsi_disk/11:0:0:0 (scsi_d
isk)
UEVENT[1229481184.695407] change   /devices/pci0000:00/0000:00:1d.7/usb1/1-7/1-7:1.0/host11/target11:0:0/11:0:0:0/block/sdf (block)
UDEV  [1229481184.696662] change   /devices/pci0000:00/0000:00:1d.7/usb1/1-7/1-7:1.0/host11/target11:0:0/11:0:0:0 (scsi)
UDEV  [1229481184.756982] add      /devices/pci0000:00/0000:00:1d.7/usb1/1-7/1-7:1.0/host11/target11:0:0/11:0:0:0/scsi_device/11:0:0:0 (scsi
_device)
UDEV  [1229481184.759612] add      /devices/pci0000:00/0000:00:1d.7/usb1/1-7/1-7:1.0/host11/target11:0:0/11:0:0:0/scsi_generic/sg7 (scsi_gen
eric)
UDEV  [1229481184.769572] add      /devices/pci0000:00/0000:00:1d.7/usb1/1-7/1-7:1.0/host11/target11:0:0/11:0:0:0/bsg/11:0:0:0 (bsg)
UDEV  [1229481184.966311] add      /devices/pci0000:00/0000:00:1d.7/usb1/1-7/1-7:1.0/host11/target11:0:0/11:0:0:0/block/sdf (block)
UDEV  [1229481184.988873] add      /devices/pci0000:00/0000:00:1d.7/usb1/1-7/1-7:1.0/host11/target11:0:0/11:0:0:0/block/sdf/sdf1 (block)
UDEV  [1229481185.045957] change   /devices/pci0000:00/0000:00:1d.7/usb1/1-7/1-7:1.0/host11/target11:0:0/11:0:0:0/block/sdf (block)
====================================================
see attached file for the output of
>grep udev /var/log/messages
while udevmonitor was active.
Comment 1 Cliff Kotnik 2008-12-16 22:21:45 EST
Created attachment 327201 [details]
output of grep udev /var/log/messages
Comment 2 Bug Zapper 2009-11-18 04:41:42 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2009-12-18 02:19:02 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.